import * as z from 'zod';
export const CronJobLogAggregateResultSchema = z.object({  _count: z.object({
    id: z.number(),
    jobName: z.number(),
    status: z.number(),
    startedAt: z.number(),
    completedAt: z.number(),
    durationMs: z.number(),
    errorMessage: z.number()
  }).optional(),
  _sum: z.object({
    id: z.number().nullable(),
    durationMs: z.number().nullable()
  }).nullable().optional(),
  _avg: z.object({
    id: z.number().nullable(),
    durationMs: z.number().nullable()
  }).nullable().optional(),
  _min: z.object({
    id: z.number().int().nullable(),
    jobName: z.string().nullable(),
    status: z.string().nullable(),
    startedAt: z.date().nullable(),
    completedAt: z.date().nullable(),
    durationMs: z.number().int().nullable(),
    errorMessage: z.string().nullable()
  }).nullable().optional(),
  _max: z.object({
    id: z.number().int().nullable(),
    jobName: z.string().nullable(),
    status: z.string().nullable(),
    startedAt: z.date().nullable(),
    completedAt: z.date().nullable(),
    durationMs: z.number().int().nullable(),
    errorMessage: z.string().nullable()
  }).nullable().optional()});